All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
autocorrelation.hpp File Reference
`#include <stan/math/prim/mat/fun/mean.hpp>`
`#include <unsupported/Eigen/FFT>`
`#include <complex>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T >
void | stan::math::autocorrelation (const std::vector< T > &y, std::vector< T > &ac, Eigen::FFT< T > &fft)
| Write autocorrelation estimates for every lag for the specified input sequence into the specified result using the specified FFT engine. More...
template<typename T >
void | stan::math::autocorrelation (const std::vector< T > &y, std::vector< T > &ac)
| Write autocorrelation estimates for every lag for the specified input sequence into the specified result. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.